---
Fuzzer filename: '/src/cgif/fuzz/cgif_fuzzer.c'
All functions:
  Function list name: All functions
  Elements:
    - functionName:    _ZL8readdataP10ByteStreamPvm
      functionSourceFile: '/src/cgif/fuzz/cgif_fuzzer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 14
      functionLinenumberEnd: 23
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         4
      ICount:          55
      EdgeCount:       4
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    13
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZL16read_frameconfigP10ByteStreamP14st_frameconfigm
      functionSourceFile: '/src/cgif/fuzz/cgif_fuzzer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 52
      functionLinenumberEnd: 81
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         14
      ICount:          156
      EdgeCount:       18
      CyclomaticComplexity: 6
      functionsReached:
        - _ZL8readdataP10ByteStreamPvm
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             'fuzz/cgif_fuzzer.c:63,8'
          Dst:             _ZL8readdataP10ByteStreamPvm
        - Src:             'fuzz/cgif_fuzzer.c:64,8'
          Dst:             _ZL8readdataP10ByteStreamPvm
        - Src:             'fuzz/cgif_fuzzer.c:65,8'
          Dst:             _ZL8readdataP10ByteStreamPvm
        - Src:             'fuzz/cgif_fuzzer.c:66,8'
          Dst:             _ZL8readdataP10ByteStreamPvm
        - Src:             'fuzz/cgif_fuzzer.c:67,8'
          Dst:             _ZL8readdataP10ByteStreamPvm
        - Src:             'fuzz/cgif_fuzzer.c:71,10'
          Dst:             _ZL8readdataP10ByteStreamPvm
        - Src:             'fuzz/cgif_fuzzer.c:75,8'
          Dst:             _ZL8readdataP10ByteStreamPvm
    - functionName:    _ZL7writecbPvPKhm
      functionSourceFile: '/src/cgif/fuzz/cgif_fuzzer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 83
      functionLinenumberEnd: 88
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         1
      ICount:          10
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZL14read_gifconfigP10ByteStreamP12st_gifconfig
      functionSourceFile: '/src/cgif/fuzz/cgif_fuzzer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 25
      functionLinenumberEnd: 50
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         12
      ICount:          126
      EdgeCount:       15
      CyclomaticComplexity: 5
      functionsReached:
        - _ZL8readdataP10ByteStreamPvm
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'fuzz/cgif_fuzzer.c:36,8'
          Dst:             _ZL8readdataP10ByteStreamPvm
        - Src:             'fuzz/cgif_fuzzer.c:37,8'
          Dst:             _ZL8readdataP10ByteStreamPvm
        - Src:             'fuzz/cgif_fuzzer.c:38,8'
          Dst:             _ZL8readdataP10ByteStreamPvm
        - Src:             'fuzz/cgif_fuzzer.c:39,8'
          Dst:             _ZL8readdataP10ByteStreamPvm
        - Src:             'fuzz/cgif_fuzzer.c:40,8'
          Dst:             _ZL8readdataP10ByteStreamPvm
        - Src:             'fuzz/cgif_fuzzer.c:44,10'
          Dst:             _ZL8readdataP10ByteStreamPvm
    - functionName:    _ZL12processInputP10ByteStream
      functionSourceFile: '/src/cgif/fuzz/cgif_fuzzer.c'
      linkageType:     InternalLinkage
      functionLinenumber: 91
      functionLinenumberEnd: 130
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         16
      ICount:          115
      EdgeCount:       21
      CyclomaticComplexity: 7
      functionsReached:
        - _ZL14read_gifconfigP10ByteStreamP12st_gifconfig
        - _ZL16read_frameconfigP10ByteStreamP14st_frameconfigm
        - cgif_addframe
        - cgif_close
        - cgif_newgif
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'fuzz/cgif_fuzzer.c:99,7'
          Dst:             _ZL14read_gifconfigP10ByteStreamP12st_gifconfig
        - Src:             'fuzz/cgif_fuzzer.c:110,22'
          Dst:             cgif_newgif
        - Src:             'fuzz/cgif_fuzzer.c:115,7'
          Dst:             _ZL16read_frameconfigP10ByteStreamP14st_frameconfigm
        - Src:             'fuzz/cgif_fuzzer.c:118,5'
          Dst:             cgif_addframe
        - Src:             'fuzz/cgif_fuzzer.c:126,9'
          Dst:             _ZL16read_frameconfigP10ByteStreamP14st_frameconfigm
        - Src:             'fuzz/cgif_fuzzer.c:128,7'
          Dst:             cgif_close
    - functionName:    LLVMFuzzerTestOneInput
      functionSourceFile: '/src/cgif/fuzz/cgif_fuzzer.c'
      linkageType:     externalLinkage
      functionLinenumber: 135
      functionLinenumberEnd: 138
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          25
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZL12processInputP10ByteStream
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'fuzz/cgif_fuzzer.c:137,3'
          Dst:             _ZL12processInputP10ByteStream
    - functionName:    getDiffArea
      functionSourceFile: '/src/cgif/build/../src/cgif.c'
      linkageType:     InternalLinkage
      functionLinenumber: 166
      functionLinenumberEnd: 239
      functionDepth:   0
      returnType:      int
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         38
      ICount:          388
      EdgeCount:       49
      CyclomaticComplexity: 13
      functionsReached:
        - cmpPixel
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/cgif.c:183,10'
          Dst:             cmpPixel
        - Src:             '../src/cgif.c:201,10'
          Dst:             cmpPixel
        - Src:             '../src/cgif.c:213,9'
          Dst:             cmpPixel
        - Src:             '../src/cgif.c:225,9'
          Dst:             cmpPixel
    - functionName:    cmpPixel
      functionSourceFile: '/src/cgif/build/../src/cgif.c'
      linkageType:     InternalLinkage
      functionLinenumber: 144
      functionLinenumberEnd: 163
      functionDepth:   0
      returnType:      int
      argCount:        5
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - char
        - char
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         31
      ICount:          232
      EdgeCount:       41
      CyclomaticComplexity: 12
      functionsReached:
        - memcmp
      functionUses:    6
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/cgif.c:162,10'
          Dst:             memcmp
    - functionName:    memcmp
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    4
      BranchProfiles:  []
      Callsites:       []
    - functionName:    getDiffAreaGlobalPalette
      functionSourceFile: '/src/cgif/build/../src/cgif.c'
      linkageType:     InternalLinkage
      functionLinenumber: 242
      functionLinenumberEnd: 316
      functionDepth:   0
      returnType:      int
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         30
      ICount:          342
      EdgeCount:       39
      CyclomaticComplexity: 11
      functionsReached:
        - memcmp
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/cgif.c:257,9'
          Dst:             memcmp
        - Src:             '../src/cgif.c:273,9'
          Dst:             memcmp
    - functionName:    calcNextPower2Ex
      functionSourceFile: '/src/cgif/build/../src/cgif.c'
      linkageType:     InternalLinkage
      functionLinenumber: 40
      functionLinenumberEnd: 44
      functionDepth:   0
      returnType:      char
      argCount:        1
      argTypes:
        - short
      constantsTouched: []
      argNames:
        - ''
      BBCount:         5
      ICount:          30
      EdgeCount:       5
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    doWidthHeightOptim
      functionSourceFile: '/src/cgif/build/../src/cgif.c'
      linkageType:     InternalLinkage
      functionLinenumber: 319
      functionLinenumberEnd: 352
      functionDepth:   0
      returnType:      'N/A'
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         23
      ICount:          203
      EdgeCount:       30
      CyclomaticComplexity: 9
      functionsReached:
        - getDiffArea
        - getDiffAreaGlobalPalette
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/cgif.c:329,17'
          Dst:             getDiffAreaGlobalPalette
        - Src:             '../src/cgif.c:331,17'
          Dst:             getDiffArea
    - functionName:    cgif_close
      functionSourceFile: '/src/cgif/build/../src/cgif.c'
      linkageType:     InternalLinkage
      functionLinenumber: 610
      functionLinenumberEnd: 654
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         32
      ICount:          182
      EdgeCount:       41
      CyclomaticComplexity: 11
      functionsReached:
        - cgif_raw_close
        - fclose
        - flushFrame
        - freeCGIF
        - freeFrame
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/cgif.c:622,11'
          Dst:             flushFrame
        - Src:             '../src/cgif.c:632,7'
          Dst:             cgif_raw_close
        - Src:             '../src/cgif.c:639,9'
          Dst:             fclose
        - Src:             '../src/cgif.c:645,5'
          Dst:             freeFrame
        - Src:             '../src/cgif.c:649,3'
          Dst:             freeCGIF
    - functionName:    flushFrame
      functionSourceFile: '/src/cgif/build/../src/cgif.c'
      linkageType:     InternalLinkage
      functionLinenumber: 355
      functionLinenumberEnd: 454
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         66
      ICount:          590
      EdgeCount:       87
      CyclomaticComplexity: 23
      functionsReached:
        - calcNextPower2Ex
        - cgif_raw_addframe
        - cmpPixel
        - doWidthHeightOptim
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/cgif.c:393,21'
          Dst:             doWidthHeightOptim
        - Src:             '../src/cgif.c:412,16'
          Dst:             calcNextPower2Ex
        - Src:             '../src/cgif.c:428,12'
          Dst:             cmpPixel
        - Src:             '../src/cgif.c:451,7'
          Dst:             cgif_raw_addframe
    - functionName:    fclose
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    4
      BranchProfiles:  []
      Callsites:       []
    - functionName:    freeFrame
      functionSourceFile: '/src/cgif/build/../src/cgif.c'
      linkageType:     InternalLinkage
      functionLinenumber: 456
      functionLinenumberEnd: 464
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         9
      ICount:          50
      EdgeCount:       11
      CyclomaticComplexity: 4
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    freeCGIF
      functionSourceFile: '/src/cgif/build/../src/cgif.c'
      linkageType:     InternalLinkage
      functionLinenumber: 64
      functionLinenumberEnd: 69
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         6
      ICount:          37
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    copyFrameConfig
      functionSourceFile: '/src/cgif/build/../src/cgif.c'
      linkageType:     InternalLinkage
      functionLinenumber: 466
      functionLinenumberEnd: 477
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         4
      ICount:          66
      EdgeCount:       4
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    cgif_addframe
      functionSourceFile: '/src/cgif/build/../src/cgif.c'
      linkageType:     InternalLinkage
      functionLinenumber: 480
      functionLinenumberEnd: 607
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         93
      ICount:          869
      EdgeCount:       126
      CyclomaticComplexity: 35
      functionsReached:
        - cmpPixel
        - copyFrameConfig
        - flushFrame
        - freeFrame
        - memcmp
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/cgif.c:517,13'
          Dst:             memcmp
        - Src:             '../src/cgif.c:522,14'
          Dst:             cmpPixel
        - Src:             '../src/cgif.c:541,9'
          Dst:             flushFrame
        - Src:             '../src/cgif.c:542,5'
          Dst:             freeFrame
        - Src:             '../src/cgif.c:561,3'
          Dst:             copyFrameConfig
    - functionName:    writecb
      functionSourceFile: '/src/cgif/build/../src/cgif.c'
      linkageType:     InternalLinkage
      functionLinenumber: 48
      functionLinenumberEnd: 61
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         11
      ICount:          80
      EdgeCount:       14
      CyclomaticComplexity: 5
      functionsReached:
        - fwrite
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/cgif.c:54,9'
          Dst:             fwrite
    - functionName:    fwrite
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      size_t
      argCount:        4
      argTypes:
        - 'N/A'
        - size_t
        - size_t
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    cgif_newgif
      functionSourceFile: '/src/cgif/build/../src/cgif.c'
      linkageType:     InternalLinkage
      functionLinenumber: 72
      functionLinenumberEnd: 141
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         35
      ICount:          277
      EdgeCount:       47
      CyclomaticComplexity: 14
      functionsReached:
        - cgif_raw_newgif
        - fclose
        - fopen64
        - freeCGIF
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/cgif.c:84,13'
          Dst:             fopen64
        - Src:             '../src/cgif.c:93,7'
          Dst:             fclose
        - Src:             '../src/cgif.c:107,9'
          Dst:             fclose
        - Src:             '../src/cgif.c:126,13'
          Dst:             cgif_raw_newgif
        - Src:             '../src/cgif.c:130,7'
          Dst:             fclose
        - Src:             '../src/cgif.c:132,5'
          Dst:             freeCGIF
    - functionName:    fopen64
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    add_child
      functionSourceFile: '/src/cgif/build/../src/cgif_raw.c'
      linkageType:     InternalLinkage
      functionLinenumber: 103
      functionLinenumberEnd: 123
      functionDepth:   0
      returnType:      void
      argCount:        5
      argTypes:
        - 'N/A'
        - short
        - short
        - short
        - char
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         7
      ICount:          135
      EdgeCount:       8
      CyclomaticComplexity: 3
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    lzw_crawl_tree
      functionSourceFile: '/src/cgif/build/../src/cgif_raw.c'
      linkageType:     InternalLinkage
      functionLinenumber: 126
      functionLinenumberEnd: 201
      functionDepth:   0
      returnType:      int
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - short
        - short
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         35
      ICount:          395
      EdgeCount:       47
      CyclomaticComplexity: 14
      functionsReached:
        - add_child
        - resetDict
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/cgif_raw.c:155,9'
          Dst:             resetDict
        - Src:             '../src/cgif_raw.c:187,7'
          Dst:             add_child
        - Src:             '../src/cgif_raw.c:190,7'
          Dst:             resetDict
    - functionName:    resetDict
      functionSourceFile: '/src/cgif/build/../src/cgif_raw.c'
      linkageType:     InternalLinkage
      functionLinenumber: 90
      functionLinenumberEnd: 100
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - short
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         1
      ICount:          55
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    create_byte_list_block
      functionSourceFile: '/src/cgif/build/../src/cgif_raw.c'
      linkageType:     InternalLinkage
      functionLinenumber: 280
      functionLinenumberEnd: 298
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         8
      ICount:          115
      EdgeCount:       9
      CyclomaticComplexity: 3
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    create_byte_list
      functionSourceFile: '/src/cgif/build/../src/cgif_raw.c'
      linkageType:     InternalLinkage
      functionLinenumber: 225
      functionLinenumberEnd: 276
      functionDepth:   0
      returnType:      int
      argCount:        5
      argTypes:
        - 'N/A'
        - int
        - 'N/A'
        - short
        - char
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         28
      ICount:          302
      EdgeCount:       36
      CyclomaticComplexity: 10
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    lzw_generate
      functionSourceFile: '/src/cgif/build/../src/cgif_raw.c'
      linkageType:     InternalLinkage
      functionLinenumber: 204
      functionLinenumberEnd: 222
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - short
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         9
      ICount:          82
      EdgeCount:       11
      CyclomaticComplexity: 4
      functionsReached:
        - lzw_crawl_tree
        - resetDict
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/cgif_raw.c:210,3'
          Dst:             resetDict
        - Src:             '../src/cgif_raw.c:214,9'
          Dst:             lzw_crawl_tree
    - functionName:    cgif_raw_close
      functionSourceFile: '/src/cgif/build/../src/cgif_raw.c'
      linkageType:     InternalLinkage
      functionLinenumber: 646
      functionLinenumberEnd: 657
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         6
      ICount:          49
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    LZW_GenerateStream
      functionSourceFile: '/src/cgif/build/../src/cgif_raw.c'
      linkageType:     InternalLinkage
      functionLinenumber: 301
      functionLinenumberEnd: 376
      functionDepth:   0
      returnType:      int
      argCount:        5
      argTypes:
        - 'N/A'
        - int
        - 'N/A'
        - short
        - char
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         27
      ICount:          285
      EdgeCount:       37
      CyclomaticComplexity: 12
      functionsReached:
        - create_byte_list
        - create_byte_list_block
        - lzw_generate
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/cgif_raw.c:343,7'
          Dst:             lzw_generate
        - Src:             '../src/cgif_raw.c:362,19'
          Dst:             create_byte_list
        - Src:             '../src/cgif_raw.c:363,19'
          Dst:             create_byte_list_block
    - functionName:    hU16toLE
      functionSourceFile: '/src/cgif/build/../src/cgif_raw.c'
      linkageType:     InternalLinkage
      functionLinenumber: 58
      functionLinenumberEnd: 70
      functionDepth:   0
      returnType:      short
      argCount:        1
      argTypes:
        - short
      constantsTouched: []
      argNames:
        - ''
      BBCount:         4
      ICount:          41
      EdgeCount:       4
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    8
      BranchProfiles:  []
      Callsites:       []
    - functionName:    calcInitCodeLen
      functionSourceFile: '/src/cgif/build/../src/cgif_raw.c'
      linkageType:     InternalLinkage
      functionLinenumber: 82
      functionLinenumberEnd: 86
      functionDepth:   0
      returnType:      char
      argCount:        1
      argTypes:
        - short
      constantsTouched: []
      argNames:
        - ''
      BBCount:         6
      ICount:          35
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - calcNextPower2Ex
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/cgif_raw.c:85,11'
          Dst:             calcNextPower2Ex
    - functionName:    calcNextPower2Ex
      functionSourceFile: '/src/cgif/build/../src/cgif_raw.c'
      linkageType:     InternalLinkage
      functionLinenumber: 74
      functionLinenumberEnd: 78
      functionDepth:   0
      returnType:      char
      argCount:        1
      argTypes:
        - short
      constantsTouched: []
      argNames:
        - ''
      BBCount:         5
      ICount:          30
      EdgeCount:       5
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    4
      BranchProfiles:  []
      Callsites:       []
    - functionName:    cgif_raw_addframe
      functionSourceFile: '/src/cgif/build/../src/cgif_raw.c'
      linkageType:     InternalLinkage
      functionLinenumber: 504
      functionLinenumberEnd: 644
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         59
      ICount:          746
      EdgeCount:       78
      CyclomaticComplexity: 21
      functionsReached:
        - LZW_GenerateStream
        - calcInitCodeLen
        - calcNextPower2Ex
        - hU16toLE
        - writeDummyBytes
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/cgif_raw.c:530,15'
          Dst:             calcNextPower2Ex
        - Src:             '../src/cgif_raw.c:548,17'
          Dst:             calcInitCodeLen
        - Src:             '../src/cgif_raw.c:552,34'
          Dst:             hU16toLE
        - Src:             '../src/cgif_raw.c:553,34'
          Dst:             hU16toLE
        - Src:             '../src/cgif_raw.c:554,34'
          Dst:             hU16toLE
        - Src:             '../src/cgif_raw.c:555,34'
          Dst:             hU16toLE
        - Src:             '../src/cgif_raw.c:590,9'
          Dst:             LZW_GenerateStream
        - Src:             '../src/cgif_raw.c:593,9'
          Dst:             LZW_GenerateStream
        - Src:             '../src/cgif_raw.c:619,30'
          Dst:             hU16toLE
        - Src:             '../src/cgif_raw.c:630,15'
          Dst:             writeDummyBytes
    - functionName:    writeDummyBytes
      functionSourceFile: '/src/cgif/build/../src/cgif_raw.c'
      linkageType:     InternalLinkage
      functionLinenumber: 446
      functionLinenumberEnd: 453
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         7
      ICount:          49
      EdgeCount:       8
      CyclomaticComplexity: 3
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    initAppExtBlock
      functionSourceFile: '/src/cgif/build/../src/cgif_raw.c'
      linkageType:     InternalLinkage
      functionLinenumber: 419
      functionLinenumberEnd: 443
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - short
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          72
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - hU16toLE
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/cgif_raw.c:441,31'
          Dst:             hU16toLE
    - functionName:    initMainHeader
      functionSourceFile: '/src/cgif/build/../src/cgif_raw.c'
      linkageType:     InternalLinkage
      functionLinenumber: 379
      functionLinenumberEnd: 416
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         9
      ICount:          108
      EdgeCount:       11
      CyclomaticComplexity: 4
      functionsReached:
        - calcNextPower2Ex
        - hU16toLE
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/cgif_raw.c:400,29'
          Dst:             hU16toLE
        - Src:             '../src/cgif_raw.c:404,29'
          Dst:             hU16toLE
        - Src:             '../src/cgif_raw.c:412,25'
          Dst:             calcNextPower2Ex
    - functionName:    cgif_raw_newgif
      functionSourceFile: '/src/cgif/build/../src/cgif_raw.c'
      linkageType:     InternalLinkage
      functionLinenumber: 456
      functionLinenumberEnd: 501
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         21
      ICount:          205
      EdgeCount:       28
      CyclomaticComplexity: 9
      functionsReached:
        - calcNextPower2Ex
        - initAppExtBlock
        - initMainHeader
        - writeDummyBytes
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '../src/cgif_raw.c:474,3'
          Dst:             initMainHeader
        - Src:             '../src/cgif_raw.c:480,35'
          Dst:             calcNextPower2Ex
        - Src:             '../src/cgif_raw.c:483,15'
          Dst:             writeDummyBytes
        - Src:             '../src/cgif_raw.c:488,5'
          Dst:             initAppExtBlock
...
